Bug 90477 - vfree(): sleeping in interrupt!! (When ppp user calls in)
vfree(): sleeping in interrupt!! (When ppp user calls in)
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Don Howard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-08 15:39 EDT by Bruce Garlock
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-04 12:43:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Garlock 2003-05-08 15:39:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.3.1) Gecko/20030425

Description of problem:
Using RH AS2.1, kernel 2.4.9e.16, up2date with latest patches, I get this when a
user from a Windows XP laptop dials into the pppd server:

May  8 13:58:41 linux mgetty[17377]: data dev=ttyE0, pid=17377, caller='none', c
onn='', name='', cmd='/usr/sbin/pppd', user='/AutoPPP/'
May  8 13:58:41 linux kernel: CSLIP: code copyright 1989 Regents of the Universi
ty of California
May  8 13:58:41 linux kernel: PPP generic driver version 2.4.1
May  8 13:58:41 linux pppd[17377]: pppd 2.4.1 started by LOGIN, uid 0
May  8 13:58:41 linux pppd[17377]: Using interface ppp0
May  8 13:58:41 linux pppd[17377]: Connect: ppp0 <--> /dev/ttyE0
May  8 13:58:44 linux ppp(pam_unix)[17377]: session opened for user brianh by LO
GIN(uid=0)
May  8 13:58:44 linux pppd[17377]: user brianh logged in
May  8 13:58:44 linux kernel: PPP BSD Compression module registered
May  8 13:58:44 linux kernel: PPP Deflate Compression module registered
May  8 13:58:44 linux kernel: vfree(): sleeping in interrupt!!
May  8 13:58:44 linux kernel: e0345ec0 c022d5e0 d3e1e540 00000000 f8c59186 f8c71
000 f8c85740 f8c521e1
May  8 13:58:44 linux kernel:        d3e1e540 ffffff97 2d707070 706d6f63 7373657
2 0036322d fffffff4 c51cf000
May  8 13:58:44 linux kernel:        c51cf009 00000246 0018041a 0806bd84 fffffff
e f7f80ea0 f53a2be0 ccc9ae04
May  8 13:58:44 linux kernel: Call Trace: [IRQ0x0f_interrupt+21600/139008] IRQ0x
0f_interrupt [kernel] 0x5460
May  8 13:58:44 linux kernel: Call Trace: [<c022d5e0>] IRQ0x0f_interrupt [kernel
] 0x5460
May  8 13:58:44 linux kernel: [<f8c59186>] bsd_free [bsd_comp] 0x16
May  8 13:58:44 linux kernel: [<f8c85740>] ppp_deflate [ppp_deflate] 0x0
May  8 13:58:44 linux kernel: [<f8c521e1>] ppp_set_compress [ppp_generic] 0x1c1
May  8 13:58:44 linux kernel: [<f8c4f7cb>] ppp_ioctl [ppp_generic] 0x39b
May  8 13:58:44 linux kernel: [sys_write+150/256] sys_write [kernel] 0x96
May  8 13:58:44 linux kernel: [<c013d7a6>] sys_write [kernel] 0x96
May  8 13:58:44 linux kernel: [sys_write+235/256] sys_write [kernel] 0xeb
May  8 13:58:44 linux kernel: [<c013d7fb>] sys_write [kernel] 0xeb
May  8 13:58:44 linux kernel: [sys_ioctl+535/560] sys_ioctl [kernel] 0x217
May  8 13:58:44 linux kernel: [<c014b447>] sys_ioctl [kernel] 0x217
May  8 13:58:44 linux kernel: [system_call+51/56] system_call [kernel] 0x33
May  8 13:58:44 linux kernel: [<c010706b>] system_call [kernel] 0x33
May  8 13:58:44 linux kernel:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Windows XP laptop -> ppp to RH AS 2.1
2.
3.
    

Additional info:
Comment 1 Bruce Garlock 2003-06-13 10:40:48 EDT
This also happens when a Win98SE user dials in, so it's not XP specific.  Not
sure if that helps.  Any idea what would be causing this?
Comment 3 Chris Underhill 2003-07-30 06:50:02 EDT
I can confirm this bug - running RHAS 2.1 with kernel 2.4.9-e.3 on a Dell SMP
server. I spotted it after setting up a ppp-over-ssh vpn into the box, which
subsequently locked up. My oopsen look like:

Jul 29 14:55:26 DELOREAN kernel: vfree(): sleeping in interrupt!! 
Jul 29 14:55:26 DELOREAN kernel: c3a85ec0 c024ab80 da8b6220 f89da740 f897a19b
f8955000 c3a84000 f89a1760 
Jul 29 14:55:26 DELOREAN kernel:        da8b6220 ffffff97 2d707070 706d6f63
73736572 0036322d c3a84000 c4a552c0 
Jul 29 14:55:26 DELOREAN kernel:        c0a52000 c0a52000 0018041a c0a52000
00008021 00000000 00000000 00000000 
Jul 29 14:55:26 DELOREAN kernel: Call Trace:
[call_spurious_interrupt+34495/157183] call_spurious_interrupt [kernel] 0x86bf 
Jul 29 14:55:26 DELOREAN kernel: Call Trace: [<c024ab80>]
call_spurious_interrupt [kernel] 0x86bf 
Jul 29 14:55:26 DELOREAN kernel: [<f89da740>] ppp_deflate [ppp_deflate] 0x0 
Jul 29 14:55:26 DELOREAN kernel: [<f897a19b>] bsd_free [bsd_comp] 0x2b 
Jul 29 14:55:26 DELOREAN kernel: [<f89a1760>] ppp_set_compress [ppp_generic] 0x220 
Jul 29 14:55:26 DELOREAN kernel: [<f899e8bf>] ppp_ioctl [ppp_generic] 0x41f 
Jul 29 14:55:26 DELOREAN kernel: [sys_ioctl+599/672] sys_ioctl [kernel] 0x257 
Jul 29 14:55:26 DELOREAN kernel: [<c0153097>] sys_ioctl [kernel] 0x257 
Jul 29 14:55:26 DELOREAN kernel: [system_call+51/56] system_call [kernel] 0x33 
Jul 29 14:55:26 DELOREAN kernel: [<c010715b>] system_call [kernel] 0x33 
Comment 4 Bruce Garlock 2003-07-30 07:02:52 EDT
I have also reported this to redhat via web support for 2.1AS, and was told to
disable bsd_comp.  I commented that line out of my /etc/modules.conf, and added
'nobsdcomp' to /etc/ppp/options.  I still received an oops, but with not as many
lines of errors.  I was then told to remake my initrd image, and reboot.  Since
this machine is a production machine, I have not yet been able to reboot with
the new initrd image, and check if the error still exists.  My machine never
locked up, so I'm still waiting for a power outage, or some other good reason to
reboot the machine, since we are a 24x7 shop.  I'll report my findings once the
machine is rebooted with the new initrd image.
Comment 5 Bruce Garlock 2003-09-12 13:59:12 EDT
I am still getting errors, after rebooting the new kernel with a new initrd 
image when dial-up ppp users call in: 
 
Sep 10 15:36:23 linux mgetty[30719]: data dev=ttyE0, pid=30719, caller='none', 
conn='', name='', cmd='/usr/sbin/pppd', user='/AutoPPP/' 
Sep 10 15:36:23 linux pppd[30719]: pppd 2.4.1 started by LOGIN, uid 0 
Sep 10 15:36:23 linux pppd[30719]: Using interface ppp0 
Sep 10 15:36:23 linux pppd[30719]: Connect: ppp0 <--> /dev/ttyE0 
Sep 10 15:36:26 linux ppp(pam_unix)[30719]: session opened for user brianh by 
LOGIN(uid=0) 
Sep 10 15:36:26 linux pppd[30719]: user brianh logged in 
Sep 10 15:36:26 linux kernel: PPP Deflate Compression module registered 
Sep 10 15:36:28 linux pppd[30719]: found interface eth0 for proxy arp 
Sep 10 15:36:28 linux pppd[30719]: local  IP address 192.168.200.180 
Sep 10 15:36:28 linux pppd[30719]: remote IP address 192.168.200.196 
Sep 10 15:36:36 linux kernel: vfree(): sleeping in interrupt!! 
Sep 10 15:36:36 linux kernel: dd77bee4 c022d5c0 f42b6eb4 f42b6528 f8c5fce4 
f8c66000 f8c5e111 00000000 
Sep 10 15:36:36 linux kernel:        f8c66008 f42b6528 f42b6eb4 dd77bf2c 
f42b6eb4 00000004 f8c5c9a5 f42b6528 
Sep 10 15:36:36 linux kernel:        f42b6eb4 dd77bf2c 00000000 f42b6ea0 
f8c600a2 f42b6eb4 d1719600 f8c5243b 
Sep 10 15:36:36 linux kernel: Call Trace: [IRQ0x0f_interrupt+21600/139296] 
IRQ0x0f_interrupt [kernel] 0x5460 
Sep 10 15:36:36 linux kernel: Call Trace: [<c022d5c0>] IRQ0x0f_interrupt 
[kernel] 0x5460 
Sep 10 15:36:36 linux kernel: [<f8c5fce4>] zfree [ppp_deflate] 0x34 
Sep 10 15:36:36 linux kernel: [<f8c5e111>] inflate_blocks_free [ppp_deflate] 
0x21 
Sep 10 15:36:36 linux kernel: [<f8c5c9a5>] inflateEnd [ppp_deflate] 0x35 
Sep 10 15:36:36 linux kernel: [<f8c600a2>] z_decomp_free [ppp_deflate] 0x12 
Sep 10 15:36:36 linux kernel: [<f8c5243b>] ppp_ccp_closed [ppp_generic] 0x4b 
Sep 10 15:36:36 linux kernel: [<f8c4f72b>] ppp_ioctl [ppp_generic] 0x2fb 
Sep 10 15:36:36 linux kernel: [sys_read+150/256] sys_read [kernel] 0x96 
Sep 10 15:36:36 linux kernel: [<c013d836>] sys_read [kernel] 0x96 
Sep 10 15:36:36 linux kernel: [sys_read+235/256] sys_read [kernel] 0xeb 
Sep 10 15:36:36 linux kernel: [<c013d88b>] sys_read [kernel] 0xeb 
Sep 10 15:36:36 linux kernel: [sys_ioctl+535/560] sys_ioctl [kernel] 0x217 
Sep 10 15:36:36 linux kernel: [<c014b627>] sys_ioctl [kernel] 0x217 
Sep 10 15:36:36 linux kernel: [system_call+51/56] system_call [kernel] 0x33 
Sep 10 15:36:36 linux kernel: [<c010712b>] system_call [kernel] 0x33 
Sep 10 15:36:36 linux kernel: 
Sep 10 15:36:49 linux pppd[30719]: LCP terminated by peer 
(^NM-^s1^@<M-Mt^@^@^@^@) 
Sep 10 15:36:50 linux pppd[30719]: Hangup (SIGHUP) 
Sep 10 15:36:50 linux pppd[30719]: Modem hangup 
Sep 10 15:36:50 linux ppp(pam_unix)[30719]: session closed for user brianh 
Sep 10 15:36:50 linux pppd[30719]: Connection terminated. 
Sep 10 15:36:50 linux pppd[30719]: Connect time 0.5 minutes. 
Sep 10 15:36:50 linux pppd[30719]: Sent 4725 bytes, received 8677 bytes. 
Sep 10 15:36:50 linux pppd[30719]: Exit. 
Comment 6 Richard Newbigin 2003-11-09 00:01:05 EST
When can we expect a fix for this bug?  Disabling compression is not
an option at our site.
Comment 7 Bruce Garlock 2004-01-14 13:02:57 EST
Will we ever see a fix for this bug?  I still have it in the latest
kernel: kernel-2.4.9-e.35
Comment 8 Don Bodle 2004-06-10 09:20:34 EDT
I'm seeing this in AS 2.1 kernel 2.4.9-e38smp.  The process using the 
ppp connection seems to complete okay.
Jun 10 05:43:39 erasv01 esdppp.sh[12165]: esdppp starting ppp session 
on Port:/dev/ttya.
Jun 10 05:43:39 erasv01 pppd[12166]: pppd 2.4.1 started by root, uid 0
Jun 10 05:43:39 erasv01 pppd[12166]: Using interface ppp0
Jun 10 05:43:39 erasv01 pppd[12166]: Connect: ppp0 <--> /dev/ttya
Jun 10 05:43:39 erasv01 /etc/hotplug/net.agent: assuming ppp0 is 
already up
Jun 10 05:43:40 erasv01 kernel: PPP BSD Compression module registered
Jun 10 05:43:40 erasv01 insmod: Warning: loading /lib/modules/2.4.9-
e.38smp/kernel/drivers/net/bsd_comp.o will taint the kernel: non-GPL 
license - BSD without advertising clause
Jun 10 05:43:40 erasv01 insmod:   See http://www.tux.org/lkml/#export-
tainted for information about tainted modules
Jun 10 05:43:40 erasv01 insmod: Module bsd_comp loaded, with warnings
Jun 10 05:43:40 erasv01 kernel: vfree(): sleeping in interrupt!!
Jun 10 05:43:40 erasv01 kernel: e8203ec0 c0258360 f2fd3960 f8de84a0 
f8de7186 f8dea000 e8202000 f8d2a760
Jun 10 05:43:40 erasv01 kernel:        f2fd3960 ffffff97 2d707070 
706d6f63 73736572 0031322d f5c7fe54 f5c4d220
Jun 10 05:43:40 erasv01 kernel:        f3ea2000 00000286 f5290315 
00000286 00000001 f5db3000 e8203f34 00000000
Jun 10 05:43:40 erasv01 kernel: Call Trace: 
[call_spurious_interrupt+31915/159307] call_spurious_interrupt 
[kernel] 0x7cab (0xe8203ec4)
Jun 10 05:43:40 erasv01 kernel: [<c0258360>] call_spurious_interrupt 
[kernel] 0x7cab (0xe8203ec4)
Jun 10 05:43:40 erasv01 kernel: [<f8de84a0>] ppp_bsd_compress 
[bsd_comp] 0x0 (0xe8203ecc)
Jun 10 05:43:40 erasv01 kernel: [<f8de7186>] bsd_free [bsd_comp] 0x16 
(0xe8203ed0)
Jun 10 05:43:40 erasv01 kernel: [<f8d2a760>] ppp_set_compress 
[ppp_generic] 0x220 (0xe8203edc)
Jun 10 05:43:40 erasv01 kernel: [do_softint+69/80] do_softint 
[kernel] 0x45 (0xe8203f24)
Jun 10 05:43:40 erasv01 kernel: [<c0192195>] do_softint [kernel] 0x45 
(0xe8203f24)
Jun 10 05:43:40 erasv01 kernel: [<f8d278bf>] ppp_ioctl [ppp_generic] 
0x41f (0xe8203f48)
Jun 10 05:43:40 erasv01 kernel: [bh_action+75/128] bh_action [kernel] 
0x4b (0xe8203f5c)
Jun 10 05:43:40 erasv01 kernel: [<c01217fb>] bh_action [kernel] 0x4b 
(0xe8203f5c)
Jun 10 05:43:40 erasv01 kernel: [do_softirq+123/224] do_softirq 
[kernel] 0x7b (0xe8203f7c)
Jun 10 05:43:40 erasv01 kernel: [<c012142b>] do_softirq [kernel] 0x7b 
(0xe8203f7c)
Jun 10 05:43:40 erasv01 kernel: [sys_ioctl+599/672] sys_ioctl 
[kernel] 0x257 (0xe8203f94)
Jun 10 05:43:40 erasv01 kernel: [<c0156cb7>] sys_ioctl [kernel] 0x257 
(0xe8203f94)
Jun 10 05:43:40 erasv01 kernel: [system_call+51/56] system_call 
[kernel] 0x33 (0xe8203fc0)
Jun 10 05:43:40 erasv01 kernel: [<c01073e3>] system_call [kernel] 
0x33 (0xe8203fc0)
<lots of repeats of above>
Comment 16 Don Howard 2006-12-04 12:43:27 EST
There has been no report of this bug on current 2.1 kernels, this bug will now
be closed.  If this is seen on recent kernels, please re-open this ticket and
provide details.

Note You need to log in before you can comment on or make changes to this bug.